
/*	MSCCOM.H  */

/*	Copyright (C) 1988 JXL Systems Inc.  All rights reserved.  */

/*	JXL Systems Inc. has placed this file, unmodified, in the public domain */

/* 

	Special macro definitions to provide uniformity among compilers
	
	This header is for Microsoft v4.00, 5.xx, and Quick C
	
*/

#define movmem(from,to,count) memcpy(to,from,count)
#define setmem(to,n,c) memset(to,c,n)
#define max(a,b)	(((a) > (b)) ? (a) : (b))
#define min(a,b)	(((a) < (b)) ? (a) : (b))
#define abs(a)		(((a) < 0) ? -(a) : (a))

#ifdef MSC5
#define	fnmerge(p,dr,di,n,e) \
	(_makepath(p,dr,di,n,e))
#define	fnsplit(p,dr,di,n,e) \
	(_splitpath(p,dr,di,n,e))
#endif


#define MAKELONG( a, b )  \
    ( (long)( ((unsigned)a) | ((unsigned long)((unsigned)b)) << 16 ) )

#define MAKEFARBYTEPTR( offset, segment )  \
    ( (unsigned char far *)MAKELONG( offset, segment ) )

#define MAKEFARWORDPTR( offset, segment )  \
    ( (unsigned int far *)MAKELONG( offset, segment ) )

#ifdef MSC4
#define	memmove(to,from,count)	memcpy(to,from,count)
#endif


